Name:          kodi-addon-pvr-iptvsimple
Version:       21.9.4
Release:       1mamba
Summary:       IPTV Simple client for Kodi PVR
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/kodi-pvr/pvr.iptvsimple
Source:        https://github.com/kodi-pvr/pvr.iptvsimple.git/%{version}-Omega/pvr.iptvsimple-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: liblzma-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: pugixml-devel
## AUTOBUILDREQ-END
BuildRequires: kodi >= %{MAJver}
BuildRequires: cmake
Requires:      kodi >= %{MAJver}
Requires:      kodi < %{MAJver}.999

%description
IPTV Simple client for Kodi PVR.

%debug_package

%prep
%setup -q -n pvr.iptvsimple-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/kodi/addons/pvr.iptvsimple
%{_libdir}/kodi/addons/pvr.iptvsimple/*
%dir %{_datadir}/kodi/addons/pvr.iptvsimple
%{_datadir}/kodi/addons/pvr.iptvsimple/*


%changelog
* Tue Oct 29 2024 Automatic Build System <autodist@openmamba.org> 21.9.4-1mamba
- automatic version update by autodist

* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 21.9.3-1mamba
- automatic version update by autodist

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 21.9.2-1mamba
- automatic version update by autodist

* Sun Oct 06 2024 Automatic Build System <autodist@openmamba.org> 21.9.1-1mamba
- automatic version update by autodist

* Tue Sep 17 2024 Automatic Build System <autodist@openmamba.org> 21.8.7-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 21.8.6-1mamba
- automatic version update by autodist

* Mon Jul 29 2024 Automatic Build System <autodist@openmamba.org> 21.8.5-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 21.8.4-1mamba
- update to 21.8.4

* Sat Nov 04 2023 Automatic Build System <autodist@mambasoft.it> 20.13.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2023 Automatic Build System <autodist@mambasoft.it> 20.11.1-1mamba
- automatic version update by autodist

* Sun Jul 30 2023 Automatic Build System <autodist@mambasoft.it> 20.11.0-1mamba
- automatic version update by autodist

* Fri May 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20.10.1-1mamba
- package created using the webbuild interface
